Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Official release Synology DSM 7 and Java8
04-07-2021, 09:38
Post: #1
Official release Synology DSM 7 and Java8
Synology has released DSM 7.0. I read that before installing this OS for Synology, Java8 has to be removed because it is not compatible. What does this mean for Minimserver? Is there another compatible version of Java?
Find all posts by this user
Quote this message in a reply
04-07-2021, 11:37
Post: #2
RE: Official release Synology DSM 7 and Java8
When you install MinimServer on DSM 7, the MinimServer package includes a Java runtime.
Find all posts by this user
Quote this message in a reply
05-07-2021, 07:52
Post: #3
RE: Official release Synology DSM 7 and Java8
TopSmile

(04-07-2021 11:37)simoncn Wrote:  When you install MinimServer on DSM 7, the MinimServer package includes a Java runtime.
Find all posts by this user
Quote this message in a reply
05-07-2021, 20:09
Post: #4
RE: Official release Synology DSM 7 and Java8
(04-07-2021 11:37)simoncn Wrote:  When you install MinimServer on DSM 7, the MinimServer package includes a Java runtime.

So am I right in thinking, to upgrade my Synology OS. I need to
1. deactivate the licence on the existing minimserver 2 installation
2. upgrade the Synology OS
3. install minimserver 2
4. activate licence

Thanks for your help
Find all posts by this user
Quote this message in a reply
05-07-2021, 20:28
Post: #5
RE: Official release Synology DSM 7 and Java8
You don't need to deactivate and reactivate the license. Depending on which Synology model you have, you might need to uninstall Java8. Which model do you have?
Find all posts by this user
Quote this message in a reply
05-07-2021, 20:33
Post: #6
RE: Official release Synology DSM 7 and Java8
(05-07-2021 20:28)simoncn Wrote:  You don't need to deactivate and reactivate the license. Depending on which Synology model you have, you might need to uninstall Java8. Which model do you have?

DS214play.
& Thanks for your prompt reply, Simon
Find all posts by this user
Quote this message in a reply
05-07-2021, 21:18 (This post was last modified: 05-07-2021 21:24 by Ballingdon.)
Post: #7
RE: Official release Synology DSM 7 and Java8
(05-07-2021 20:33)Ballingdon Wrote:  
(05-07-2021 20:28)simoncn Wrote:  You don't need to deactivate and reactivate the license. Depending on which Synology model you have, you might need to uninstall Java8. Which model do you have?

DS214play.
& Thanks for your prompt reply, Simon

PS If I try to uninstall Java8 under DSM 6, error message says
'Minimserver is dependent on this package. Please uninstall Minimserver first before uninstalling this package'

& attempt to upgrade to DSM 7 requires removal of Java8 first.
Find all posts by this user
Quote this message in a reply
05-07-2021, 21:26
Post: #8
RE: Official release Synology DSM 7 and Java8
On this model, MinimServer uses the Java8 package. The Java8 package isn't compatible with DSM 7, so the DSM upgrade will require you to uninstall both Java8 and MinimServer, then reinstall the DSM 7 version of MinimServer.

When you uninstall MinimServer, make sure you choose the option to save the configuration file. This will restore your previous MinimServer configuration settings when you reinstall MinimServer.
Find all posts by this user
Quote this message in a reply
05-07-2021, 23:45
Post: #9
RE: Official release Synology DSM 7 and Java8
(05-07-2021 21:26)simoncn Wrote:  On this model, MinimServer uses the Java8 package. The Java8 package isn't compatible with DSM 7, so the DSM upgrade will require you to uninstall both Java8 and MinimServer, then reinstall the DSM 7 version of MinimServer.

When you uninstall MinimServer, make sure you choose the option to save the configuration file. This will restore your previous MinimServer configuration settings when you reinstall MinimServer.

Thank you , Simon. Very clear.
Find all posts by this user
Quote this message in a reply
06-07-2021, 11:11
Post: #10
RE: Official release Synology DSM 7 and Java8
Hi Simon
Having read the content of this thread – evidently not carefully enough, I set about installing DSM7.0 on my Synology DS214+, which houses part of my music collection. I was required by the upgrade to uninstall Java 8, which I did.
The installation then proceeded without problem, but in the package centre afterwards, Minimserver shows as stopped with a message that says “Please go to Beta packages on the left panel to repair the package by joining the beta program”. As far as I can see, there are no Beta packages on the left and no means I can find of joining the Beta program, or of directly addressing the updated version of Minimserver.
When trying to uninstall Minimserver, the message is “Failed to uninstall the package. You must deactivate your Minimserver license before uninstalling”.
The problem with that is that the installation no longer appears in Minimwatch, so it isn’t possible to de-activate the license. I seem to be at an impasse and would appreciate your guidance before attempting more onerous means of restoring access to my music.
I should add that the balance of my collection resides on a Synology DS218+ and presumably I’m likely to encounter a similar issue when the time comes to upgrade that, so any advice you can offer on that would be welcome too.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)